#!/bin/bash
set -x
. ./xivo-releases


for version in $versions; do
    dir_name="pf-fai-$release-$version"
    if [ ! -d data/$dir_name ]; then
        full_path="data/$dir_name/sources.list.d"
        sourceslist="$full_path/xivo.sources.list"
        mkdir -p $full_path
        echo "# XiVO Archive" > $sourceslist
        echo deb $mirror $repository-$version main non-free >> $sourceslist
        git add "data/$dir_name"
        echo "You have to commit your modification"
    fi
    control_file="debian/control"
    grep -Eo "Package: $dir_name" $control_file
    if [ $? -ne 0 ]; then
    cat <<- END >> $control_file

Package: $dir_name
Architecture: all
Provides: pf-fai-xivo
Conflicts: pf-fai-xivo
Replaces: pf-fai-xivo
Depends: pf-fai
Description: XIVO 1.2 Skaro $version bootstrap
  Needed configuration to bootstrap a XIVO installation.
  .
  Homepage: http://www.xivo.fr/
END
    fi
done
